<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<!--
/*
 * inoclam - Inotify+ClamAV virus scanner
 * Copyright (C) 2007, 2008, 2009 Vermont Department of Taxes
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
-->
<title>Welcome to the inoclam Project Website</title>
<meta http-equiv="Content-Language" content="English" />
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<link rel="stylesheet" type="text/css" href="style.css" media="screen" />
</head>
<body>
	<div id="header">
		Welcome to the inoclam Project Website
	</div>
	<div id="container">
		<div id="content">
			<h3><a name="introduction">Introduction</a></h3>
			<p>
				<em><a href="http://freshmeat.net/projects/inoclam/">inoclam</a></em> uses <a href="http://en.wikipedia.org/wiki/Inotify">inotify</a>
                                to watch user specified directories. When a file is created, changed
				or copied to one of the monitored directories, the file is virus checked with
				<a href="http://www.clamav.net/">Clam Anti-Virus</a>. If a virus is detected,
				the file is optionally removed from the file system and the administrator
				is optionally notified.
			</p>
			<h3><a name="license">License - GNU General Public License version 2</a></h3>
			<p>
				This program is free software; you can redistribute it and/or modify
				it under the terms of the GNU General Public License version 2 as
				published by the Free Software Foundation.
			</p>
			<p>
				This program is distributed in the hope that it will be useful,
				but WITHOUT ANY WARRANTY; without even the implied warranty of
				MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
				GNU General Public License for more details.
			</p>
			<p>
				You should have received a copy of the GNU General Public License
				along with this program; if not, write to the Free Software
				Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
			</p>
			<h3><a name="runtime-dependencies">Runtime Dependencies</a></h3>
			<p>
				<ul>
					<li><a href="http://www.kernel.org/">Linux 2.6.13 or later</a> (GPL v2 Only)</li>
                                        <li><a href="http://inotify-tools.sourceforge.net/">inotify-tools 3.12 or later</a> (GPL v2)</li>
					<li><a href="http://www.clamav.net/">ClamAV 0.94 or later</a> (GPL v2 Only)</li>
					<li><a href="http://0pointer.de/lennart/projects/libdaemon/">libdaemon 0.12 or later</a> (LGPL v2.1 or Later)</li>
					<li><a href="http://www.nongnu.org/confuse/">libConfuse 2.5 or later</a> (LGPL v2.1 or Later)</li>
				</ul>
			</p>
			<h3><a name="build-dependencies">Build Dependencies</a></h3>
			<p>
				<ul>
					<li><a href="http://gcc.gnu.org/">g++ 4.2 or later</a></li>
					<li><a href="http://www.gnu.org/software/make/">make 3.81 or later</a></li>
					<li><a href="http://www.cmake.org/">CMake 2.4 or later</a></li>
					<li><i>All <a href="/index.html#runtime-dependencies">Runtime Dependencies</a> (listed above).</i></li>
				</ul>
			</p>
			<h3><a name="download">Download</a></h3>
			<p>
				<em><a href="http://sourceforge.net/projects/inoclam">inoclam</a></em> releases are hosted on the
				<a href="http://sourceforge.net/project/showfiles.php?group_id=211334">file release system</a>
				at <a href="http://sourceforge.net">Source Forge</a>.
			</p>
			<h3><a name="gitrepo">Git Repository</a></h3>
			<p>
				The <em>inoclam</em> project team uses the <a href="http://git.or.cz/">git</a> version control system 
				to manage the <em>inoclam</em> source code. A copy of our work is hosted on
				<a href="http://repo.or.cz/">repo.or.cz</a> at no cost to us, thanks Petr Baudis! You may explore the
				code history via <a href="http://repo.or.cz/w/inoclam.git">git-web</a> at the following URL:
				<a href="http://repo.or.cz/w/inoclam.git">http://repo.or.cz/w/inoclam.git</a> The repository itself
				may be accessed with <a href="http://git.or.cz/">git</a> at the following URL:
				<a href="git://repo.or.cz/inoclam.git">git://repo.or.cz/inoclam.git</a>
			</p>
			<pre>
git clone git://repo.or.cz/inoclam.git
			</pre>
			<h3><a name="maillist">Mailing List</a></h3>
			<p>
				Patches, comments, support questions, suggestions, rants and raves should be directed to the
				<a href="http://lists.sourceforge.net/mailman/listinfo/inoclam-discuss">inoclam-discuss</a> mailing list
				at <a href="http://sourceforge.net">Source Forge</a>.
			</p>
			<h3><a name="links">Links</a></h3>
			<p>
				<ul>
					<li><a href="http://inoclam.org">Project Homepage</a></li>
					<li><a href="http://sourceforge.net/projects/inoclam">Source Forge Project Page</a></li>
					<li><a href="http://freshmeat.net/projects/inoclam/">Freshmeat Entry</a></li>
					<li><a href="http://www.ohloh.net/projects/9944?p=inoclam">ohloh Metrics</a></li>
					<li><a href="http://repo.or.cz/w/inoclam.git">Public Git Hosting</a></li>
				</ul>
			</p>
		</div>
	</div>
	<div id="logo">
		<a href="http://sourceforge.net"><img src="http://sflogo.sourceforge.net/sflogo.php?group_id=211334&amp;type=7" width="210" height="62" border="0" alt="SourceForge.net Logo" /></a>
	</div>
	<div id="footer">
		Copyright &copy; 2007, 2008, 2009 Vermont Department of Taxes<br/>
	</div>
</body>
</html>
